package com.ruoyi.system.controller;

import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import com.ruoyi.common.core.web.domain.AjaxResult;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import com.ruoyi.common.log.enums.BusinessType;
import com.ruoyi.common.log.annotation.Log;
import com.ruoyi.common.core.utils.poi.ExcelUtil;
import javax.servlet.http.HttpServletResponse;
import org.springframework.web.bind.annotation.GetMapping;
import com.ruoyi.common.security.annotation.RequiresPermissions;
import java.util.List;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.system.domain.SysBussLog;
import org.springframework.beans.factory.annotation.Autowired;
import com.ruoyi.system.service.ISysBussLogService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.core.web.controller.BaseController;

@RestController
@RequestMapping({ "/SysBussLog" })
public class SysBussLogController extends BaseController
{
    @Autowired
    private ISysBussLogService sysBussLogService;
    
    @RequiresPermissions({ "system:SysBussLog:list" })
    @GetMapping({ "/list" })
    public TableDataInfo list(final SysBussLog sysBussLog) {
        this.startPage();
        final List<SysBussLog> list = this.sysBussLogService.selectSysBussLogList(sysBussLog);
        return this.getDataTable((List)list);
    }
    
    @RequiresPermissions({ "system:SysBussLog:export" })
    @Log(title = "操作日志", businessType = BusinessType.EXPORT)
    @PostMapping({ "/export" })
    public void export(final HttpServletResponse response, final SysBussLog sysBussLog) {
        final List<SysBussLog> list = this.sysBussLogService.selectSysBussLogList(sysBussLog);
        final ExcelUtil<SysBussLog> util = (ExcelUtil<SysBussLog>)new ExcelUtil((Class)SysBussLog.class);
        util.exportExcel(response, (List)list, "操作日志数据");
    }
    
    @RequiresPermissions({ "system:SysBussLog:query" })
    @GetMapping({ "/{bussId}" })
    public AjaxResult getInfo(@PathVariable("bussId") final Long bussId) {
        return this.success((Object)this.sysBussLogService.selectSysBussLogByBussId(bussId));
    }
    
    @RequiresPermissions({ "system:SysBussLog:edit" })
    @Log(title = "操作日志", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody final SysBussLog sysBussLog) {
        return this.toAjax(this.sysBussLogService.updateSysBussLog(sysBussLog));
    }
    
    @RequiresPermissions({ "system:SysBussLog:remove" })
    @Log(title = "操作日志", businessType = BusinessType.DELETE)
    @DeleteMapping({ "/{bussIds}" })
    public AjaxResult remove(@PathVariable final Long[] bussIds) {
        return this.toAjax(this.sysBussLogService.deleteSysBussLogByBussIds(bussIds));
    }
}
